FreeMat

- Main Page
- Related Pages

vtkOpenGLScalarsToColorsPainter

Section: Visualization Toolkit Rendering Classes

# Usage

vtkOpenGLScalarsToColorsPainter is a concrete subclass of vtkScalarsToColorsPainter which uses OpenGL for color mapping.

To create an instance of class vtkOpenGLScalarsToColorsPainter, simply invoke its constructor as follows

      obj = vtkOpenGLScalarsToColorsPainter

# Methods

The class vtkOpenGLScalarsToColorsPainter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOpenGLScalarsToColorsPainter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOpenGLScalarsToColorsPainter = obj.NewInstance ()`
- `vtkOpenGLScalarsToColorsPainter = obj.SafeDownCast (vtkObject o)`
- `obj.ReleaseGraphicsResources (vtkWindow )` - Release any graphics resources that are being consumed by this mapper. The parameter window could be used to determine which graphic resources to release.
- `int = obj.GetPremultiplyColorsWithAlpha (vtkActor actor)`